%define pkg_name        DateTime-Event-Sunrise
%define pkg_version     0.0501
%define rpm_pkg_version 0.05_01
%define rpm_pkg_release 1.n0i.1

Summary:       Perl DateTime extension for computing the sunrise/sunset on a given day
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/R/RK/RKHILL/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(DateTime::Set) >= 0.16
BuildRequires: perl(DateTime) >= 0.21


%description
This module will return a DateTime recurrence set for sunrise or sunset.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_eol}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Sun Jun 10 2007 Marius Feraru <altblue@n0i.net> - 0.05_01-1.n0i.1.0.0501
- spec file (re)created using N0i::CPAN::RPMizer/1.14.8
- version 0.0501
